<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="488e3dcf-adca-455b-8f3c-9e2a173b915d" name="Default Changelist" comment="" />
    <ignored path="$PROJECT_DIR$/out/" />
    <ignored path="$PROJECT_DIR$/target/" />
    <ignored path="$PROJECT_DIR$/Hub/target/" />
    <ignored path="$PROJECT_DIR$/API/target/" />
    <ignored path="$PROJECT_DIR$/Core/target/" />
    <ignored path="$PROJECT_DIR$/Proxy/target/" />
    <ignored path="$PROJECT_DIR$/CatFight/target/" />
    <ignored path="$PROJECT_DIR$/Slender/target/" />
    <ignored path="$PROJECT_DIR$/Bot/target/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/Hub/src/main/java/fr/edessamc/hub/player/HubPlayer.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="138">
              <caret line="10" column="5" selection-start-line="10" selection-start-column="5" selection-end-line="10" selection-end-column="5" />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/src/main/java/fr/_3dx900/edessamc/EdessaMC.java" />
        <option value="$PROJECT_DIR$/src/main/java/fr/_3dx900/edessamc/server/ServerType.java" />
        <option value="$PROJECT_DIR$/API/pom.xml" />
        <option value="$PROJECT_DIR$/API/src/main/java/fr/edessamc/api/data/Data.java" />
        <option value="$PROJECT_DIR$/src/main/java/fr/_3dx900/edessamc/server/EServer.java" />
        <option value="$PROJECT_DIR$/src/main/java/fr/_3dx900/edessamc/server/ServerState.java" />
        <option value="$PROJECT_DIR$/Core/src/main/java/fr/_3dx900/core/Core.java" />
        <option value="$PROJECT_DIR$/CatFight/src/main/java/fr/edessamc/catfight/CatFight.java" />
        <option value="$PROJECT_DIR$/API/src/main/java/fr/edessamc/api/events/player/ListenerType.java" />
        <option value="$PROJECT_DIR$/Hub/src/main/java/fr/edessamc/hub/event/player/Listener.java" />
        <option value="$PROJECT_DIR$/Hub/src/main/java/fr/edessamc/hub/event/player/Event.java" />
        <option value="$PROJECT_DIR$/Hub/src/main/java/fr/edessamc/hub/Hub.java" />
        <option value="$PROJECT_DIR$/Hub/src/main/java/fr/edessamc/hub/event/player/EventListener.java" />
        <option value="$PROJECT_DIR$/API/src/main/java/fr/edessamc/api/manager/EventManager.java" />
        <option value="$PROJECT_DIR$/API/src/main/java/fr/edessamc/api/events/EventListener.java" />
        <option value="$PROJECT_DIR$/Proxy/src/main/java/fr/edessamc/proxy/Proxy.java" />
        <option value="$PROJECT_DIR$/API/src/main/java/fr/edessamc/api/player/language/Lang.java" />
        <option value="$PROJECT_DIR$/Proxy/src/main/java/fr/edessamc/proxy/language/Lang.java" />
        <option value="$PROJECT_DIR$/API/src/main/java/fr/edessamc/api/API.java" />
        <option value="$PROJECT_DIR$/API/src/main/java/fr/edessamc/api/utils/builder/InventoryBuilder.java" />
        <option value="$PROJECT_DIR$/API/src/main/java/fr/edessamc/api/player/misc/ClickableItem.java" />
        <option value="$PROJECT_DIR$/API/src/main/java/fr/edessamc/api/player/misc/menu/Menu.java" />
        <option value="$PROJECT_DIR$/Core/src/main/java/fr/_3dx900/core/player/menu/MainMenu.java" />
        <option value="$PROJECT_DIR$/API/src/main/java/fr/edessamc/api/utils/EItem.java" />
        <option value="$PROJECT_DIR$/Hub/pom.xml" />
        <option value="$PROJECT_DIR$/API/src/main/java/fr/edessamc/api/manager/MenuManager.java" />
        <option value="$PROJECT_DIR$/Bot/pom.xml" />
        <option value="$PROJECT_DIR$/Bot/src/main/java/fr/edessamc/bot/core/events/EventListener.java" />
        <option value="$PROJECT_DIR$/Bot/src/main/java/fr/edessamc/bot/core/events/GuildListener.java" />
        <option value="$PROJECT_DIR$/Bot/src/main/java/fr/edessamc/bot/utils/Message.java" />
        <option value="$PROJECT_DIR$/Bot/src/main/java/fr/edessamc/bot/ReadyListener.java" />
        <option value="$PROJECT_DIR$/Bot/src/main/java/fr/edessamc/bot/core/events/guild/GuildJoinListener.java" />
        <option value="$PROJECT_DIR$/Bot/src/main/java/fr/edessamc/bot/commands/PollCommand.java" />
        <option value="$PROJECT_DIR$/Bot/src/main/java/fr/edessamc/bot/core/events/ReadyListener.java" />
        <option value="$PROJECT_DIR$/Bot/src/main/java/fr/edessamc/bot/manager/EventManager.java" />
        <option value="$PROJECT_DIR$/Bot/src/main/java/fr/edessamc/bot/Bot.java" />
        <option value="$PROJECT_DIR$/Bot/src/main/java/fr/edessamc/bot/manager/BotManager.java" />
        <option value="$PROJECT_DIR$/Bot/src/main/java/fr/edessamc/bot/core/events/guild/member/GuildMemberJoinListener.java" />
        <option value="$PROJECT_DIR$/Bot/src/main/java/fr/edessamc/bot/core/events/guild/member/GuildMemberLeaveListener.java" />
        <option value="$PROJECT_DIR$/Bot/src/main/java/fr/edessamc/bot/core/events/guild/message/GuildMessageReactionAddListener.java" />
        <option value="$PROJECT_DIR$/Bot/src/main/java/fr/edessamc/bot/core/events/guild/message/GuildMessageReactionRemoveListener.java" />
        <option value="$PROJECT_DIR$/Bot/src/main/java/fr/edessamc/bot/utils/Rapid.java" />
        <option value="$PROJECT_DIR$/Proxy/pom.xml" />
        <option value="$PROJECT_DIR$/API/src/main/java/fr/edessamc/api/game/GamePlayer.java" />
        <option value="$PROJECT_DIR$/API/src/main/java/fr/edessamc/api/player/PlayerImpl.java" />
        <option value="$PROJECT_DIR$/API/src/main/java/fr/edessamc/api/game/player/GamePlayer.java" />
        <option value="$PROJECT_DIR$/API/src/main/java/fr/edessamc/api/game/Game.java" />
        <option value="$PROJECT_DIR$/API/src/main/java/fr/edessamc/api/game/GamePlugin.java" />
        <option value="$PROJECT_DIR$/Hub/src/main/java/fr/edessamc/hub/event/player/PlayerJoinListener.java" />
        <option value="$PROJECT_DIR$/API/src/main/java/fr/edessamc/api/player/EPlayer.java" />
        <option value="$PROJECT_DIR$/Hub/src/main/java/fr/edessamc/hub/player/HubPlayer.java" />
      </list>
    </option>
  </component>
  <component name="MavenImportPreferences">
    <option name="importingSettings">
      <MavenImportingSettings>
        <option name="downloadDocsAutomatically" value="true" />
        <option name="downloadSourcesAutomatically" value="true" />
        <option name="importAutomatically" value="true" />
      </MavenImportingSettings>
    </option>
  </component>
  <component name="MavenProjectNavigator">
    <treeState>
      <expand />
      <select />
    </treeState>
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="x" value="-8" />
    <option name="y" value="-8" />
    <option name="width" value="1696" />
    <option name="height" value="1036" />
  </component>
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="PackagesPane" />
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="EdessaMC" type="b2602c69:ProjectViewProjectNode" />
              <item name="EdessaMC" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="Scope" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="com.android.tools.idea.instantapp.provision.ProvisionBeforeRunTaskProvider.myTimeStamp" value="1548871772670" />
    <property name="last_directory_selection" value="$PROJECT_DIR$/API/src/main/java/fr/edessamc/api/game" />
    <property name="project.structure.last.edited" value="Modules" />
    <property name="project.structure.proportion" value="0.0" />
    <property name="project.structure.side.proportion" value="0.0" />
    <property name="settings.editor.selected.configurable" value="preferences.pluginManager" />
  </component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="C:\Development\Workspace\EdessaMC\Bot\src\main\java\fr\edessamc\bot\core\events\guild" />
      <recent name="C:\Development\Workspace\EdessaMC\API\src\main\java\fr\edessamc\api\manager" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager" selected="Application.Bot">
    <configuration name="Bot" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="fr.edessamc.bot.Bot" />
      <module name="Bot" />
      <option name="PROGRAM_PARAMETERS" value="NDY2MDI1OTI3OTE1MjA4NzA2.DyuNQw.ID674NRf3C-HgCZPDqS0nrC8Fmo" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="fr.edessamc.bot.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="API build" type="MavenRunConfiguration" factoryName="Maven">
      <MavenSettings>
        <option name="myGeneralSettings" />
        <option name="myRunnerSettings" />
        <option name="myRunnerParameters">
          <MavenRunnerParameters>
            <option name="profiles">
              <set />
            </option>
            <option name="goals">
              <list>
                <option value="clean" />
                <option value="package" />
              </list>
            </option>
            <option name="pomFileName" />
            <option name="profilesMap">
              <map />
            </option>
            <option name="resolveToWorkspace" value="false" />
            <option name="workingDirPath" value="$PROJECT_DIR$/API" />
          </MavenRunnerParameters>
        </option>
      </MavenSettings>
      <method v="2" />
    </configuration>
    <configuration name="CatFight build" type="MavenRunConfiguration" factoryName="Maven">
      <MavenSettings>
        <option name="myGeneralSettings" />
        <option name="myRunnerSettings" />
        <option name="myRunnerParameters">
          <MavenRunnerParameters>
            <option name="profiles">
              <set />
            </option>
            <option name="goals">
              <list>
                <option value="clean" />
                <option value="package" />
              </list>
            </option>
            <option name="pomFileName" />
            <option name="profilesMap">
              <map />
            </option>
            <option name="resolveToWorkspace" value="false" />
            <option name="workingDirPath" value="$PROJECT_DIR$/CatFight" />
          </MavenRunnerParameters>
        </option>
      </MavenSettings>
      <method v="2" />
    </configuration>
    <configuration name="Core build" type="MavenRunConfiguration" factoryName="Maven">
      <MavenSettings>
        <option name="myGeneralSettings" />
        <option name="myRunnerSettings" />
        <option name="myRunnerParameters">
          <MavenRunnerParameters>
            <option name="profiles">
              <set />
            </option>
            <option name="goals">
              <list>
                <option value="clean" />
                <option value="package" />
              </list>
            </option>
            <option name="pomFileName" />
            <option name="profilesMap">
              <map />
            </option>
            <option name="resolveToWorkspace" value="false" />
            <option name="workingDirPath" value="$PROJECT_DIR$/Core" />
          </MavenRunnerParameters>
        </option>
      </MavenSettings>
      <method v="2" />
    </configuration>
    <configuration name="EdessaMC build" type="MavenRunConfiguration" factoryName="Maven">
      <MavenSettings>
        <option name="myGeneralSettings" />
        <option name="myRunnerSettings" />
        <option name="myRunnerParameters">
          <MavenRunnerParameters>
            <option name="profiles">
              <set />
            </option>
            <option name="goals">
              <list>
                <option value="clean" />
                <option value="package" />
              </list>
            </option>
            <option name="pomFileName" />
            <option name="profilesMap">
              <map />
            </option>
            <option name="resolveToWorkspace" value="false" />
            <option name="workingDirPath" value="$PROJECT_DIR$" />
          </MavenRunnerParameters>
        </option>
      </MavenSettings>
      <method v="2" />
    </configuration>
    <configuration name="Hub build" type="MavenRunConfiguration" factoryName="Maven">
      <MavenSettings>
        <option name="myGeneralSettings" />
        <option name="myRunnerSettings" />
        <option name="myRunnerParameters">
          <MavenRunnerParameters>
            <option name="profiles">
              <set />
            </option>
            <option name="goals">
              <list>
                <option value="clean" />
                <option value="package" />
              </list>
            </option>
            <option name="pomFileName" />
            <option name="profilesMap">
              <map />
            </option>
            <option name="resolveToWorkspace" value="false" />
            <option name="workingDirPath" value="$PROJECT_DIR$/Hub" />
          </MavenRunnerParameters>
        </option>
      </MavenSettings>
      <method v="2" />
    </configuration>
    <configuration name="Proxy [clean,install]" type="MavenRunConfiguration" factoryName="Maven" temporary="true">
      <MavenSettings>
        <option name="myGeneralSettings" />
        <option name="myRunnerSettings" />
        <option name="myRunnerParameters">
          <MavenRunnerParameters>
            <option name="profiles">
              <set />
            </option>
            <option name="goals">
              <list>
                <option value="clean" />
                <option value="install" />
              </list>
            </option>
            <option name="pomFileName" value="pom.xml" />
            <option name="profilesMap">
              <map />
            </option>
            <option name="resolveToWorkspace" value="false" />
            <option name="workingDirPath" value="$PROJECT_DIR$/Proxy" />
          </MavenRunnerParameters>
        </option>
      </MavenSettings>
      <method v="2" />
    </configuration>
    <configuration name="Proxy build" type="MavenRunConfiguration" factoryName="Maven">
      <MavenSettings>
        <option name="myGeneralSettings" />
        <option name="myRunnerSettings" />
        <option name="myRunnerParameters">
          <MavenRunnerParameters>
            <option name="profiles">
              <set />
            </option>
            <option name="goals">
              <list>
                <option value="clean" />
                <option value="package" />
              </list>
            </option>
            <option name="pomFileName" />
            <option name="profilesMap">
              <map />
            </option>
            <option name="resolveToWorkspace" value="false" />
            <option name="workingDirPath" value="$PROJECT_DIR$/Proxy" />
          </MavenRunnerParameters>
        </option>
      </MavenSettings>
      <method v="2" />
    </configuration>
    <configuration name="Slender build" type="MavenRunConfiguration" factoryName="Maven">
      <MavenSettings>
        <option name="myGeneralSettings" />
        <option name="myRunnerSettings" />
        <option name="myRunnerParameters">
          <MavenRunnerParameters>
            <option name="profiles">
              <set />
            </option>
            <option name="goals">
              <list>
                <option value="clean" />
                <option value="package" />
              </list>
            </option>
            <option name="pomFileName" />
            <option name="profilesMap">
              <map />
            </option>
            <option name="resolveToWorkspace" value="false" />
            <option name="workingDirPath" value="$PROJECT_DIR$/Slender" />
          </MavenRunnerParameters>
        </option>
      </MavenSettings>
      <method v="2" />
    </configuration>
    <list>
      <item itemvalue="Application.Bot" />
      <item itemvalue="Maven.API build" />
      <item itemvalue="Maven.CatFight build" />
      <item itemvalue="Maven.Core build" />
      <item itemvalue="Maven.EdessaMC build" />
      <item itemvalue="Maven.Hub build" />
      <item itemvalue="Maven.Proxy [clean,install]" />
      <item itemvalue="Maven.Proxy build" />
      <item itemvalue="Maven.Slender build" />
    </list>
    <recent_temporary>
      <list>
        <item itemvalue="Application.Bot" />
        <item itemvalue="Maven.Proxy [clean,install]" />
      </list>
    </recent_temporary>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="488e3dcf-adca-455b-8f3c-9e2a173b915d" name="Default Changelist" comment="" />
      <created>1547642740577</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1547642740577</updated>
    </task>
    <servers />
  </component>
  <component name="ToolWindowManager">
    <frame x="-8" y="-8" width="1696" height="1036" extended-state="6" />
    <layout>
      <window_info active="true" content_ui="combo" id="Project" order="0" visible="true" weight="0.24327628" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info id="Image Layers" order="2" />
      <window_info id="Designer" order="3" />
      <window_info id="UI Designer" order="4" />
      <window_info id="Capture Tool" order="5" />
      <window_info id="Favorites" order="6" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" weight="0.3295325" />
      <window_info anchor="bottom" id="Run" order="2" sideWeight="0.49938875" weight="0.3295325" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.4" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="bottom" id="Terminal" order="7" />
      <window_info anchor="bottom" id="Event Log" order="8" sideWeight="0.50061125" side_tool="true" weight="0.3295325" />
      <window_info anchor="bottom" id="Version Control" order="9" />
      <window_info anchor="bottom" id="Messages" order="10" weight="0.3295325" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="Palette" order="3" />
      <window_info anchor="right" id="Maven" order="4" weight="0.3294621" />
      <window_info anchor="right" id="Theme Preview" order="5" />
      <window_info anchor="right" id="Capture Analysis" order="6" />
      <window_info anchor="right" id="Palette&#9;" order="7" />
    </layout>
  </component>
  <component name="editorHistoryManager">
    <entry file="jar://$MAVEN_REPOSITORY$/org/bukkit/bukkit/1.13.2-R0.1-SNAPSHOT/bukkit-1.13.2-R0.1-SNAPSHOT-sources.jar!/org/bukkit/event/Cancellable.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="46">
          <caret line="2" column="17" selection-start-line="2" selection-start-column="17" selection-end-line="2" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/org/bukkit/bukkit/1.13.2-R0.1-SNAPSHOT/bukkit-1.13.2-R0.1-SNAPSHOT-sources.jar!/org/bukkit/event/player/AsyncPlayerChatEvent.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="279">
          <caret line="25" column="13" selection-start-line="25" selection-start-column="13" selection-end-line="25" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="jar://C:/Program Files/Java/jdk-11.0.1/lib/src.zip!/java.base/java/util/EventListener.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="184">
          <caret line="31" column="17" selection-start-line="31" selection-start-column="17" selection-end-line="31" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/API/src/main/java/fr/edessamc/api/events/player/AsyncPlayerChatListener.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="253">
          <caret line="11" column="63" lean-forward="true" selection-start-line="11" selection-start-column="63" selection-end-line="11" selection-end-column="63" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/API/src/main/java/fr/edessamc/api/events/EventListener.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="276">
          <caret line="12" column="9" lean-forward="true" selection-start-line="12" selection-start-column="9" selection-end-line="12" selection-end-column="9" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/API/src/main/java/fr/edessamc/api/manager/EventManager.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="494">
          <caret line="22" column="5" lean-forward="true" selection-start-line="22" selection-start-column="5" selection-end-line="22" selection-end-column="5" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/API/src/main/java/fr/edessamc/api/events/ListenerType.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="46">
          <caret line="2" column="26" selection-start-line="2" selection-start-column="26" selection-end-line="2" selection-end-column="26" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/io/github/waterfallmc/waterfall-api/1.13-SNAPSHOT/waterfall-api-1.13-20190117.045344-59-sources.jar!/net/md_5/bungee/api/plugin/Plugin.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="391">
          <caret line="17" column="13" selection-start-line="17" selection-start-column="13" selection-end-line="17" selection-end-column="13" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Proxy/src/main/java/fr/edessamc/proxy/Proxy.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="368">
          <caret line="16" column="40" lean-forward="true" selection-start-line="16" selection-start-column="40" selection-end-line="16" selection-end-column="40" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Proxy/src/main/java/fr/edessamc/proxy/language/Lang.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="713">
          <caret line="31" column="46" lean-forward="true" selection-start-line="31" selection-start-column="46" selection-end-line="31" selection-end-column="46" />
          <folding>
            <element signature="imports" expanded="true" />
            <element signature="e#1660#1661#0" expanded="true" />
            <element signature="e#1691#1692#0" expanded="true" />
            <element signature="e#1687#1688#0" expanded="true" />
            <element signature="e#1722#1723#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/API/src/main/java/fr/edessamc/api/commands/Command.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-391">
          <caret line="13" column="13" selection-start-line="13" selection-start-column="13" selection-end-line="13" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/org/bukkit/bukkit/1.13.2-R0.1-SNAPSHOT/bukkit-1.13.2-R0.1-20190118.050537-129-sources.jar!/org/bukkit/inventory/Inventory.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-989">
          <caret line="15" column="17" selection-start-line="15" selection-start-column="17" selection-end-line="15" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/org/bukkit/bukkit/1.13.2-R0.1-SNAPSHOT/bukkit-1.13.2-R0.1-20190118.050537-129-sources.jar!/org/bukkit/inventory/InventoryHolder.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="46">
          <caret line="2" column="17" selection-start-line="2" selection-start-column="17" selection-end-line="2" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/org/bukkit/bukkit/1.13.2-R0.1-SNAPSHOT/bukkit-1.13.2-R0.1-20190118.050537-129-sources.jar!/org/bukkit/Bukkit.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-253">
          <caret line="932" column="49" selection-start-line="932" selection-start-column="49" selection-end-line="932" selection-end-column="49" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/API/src/main/java/fr/edessamc/api/player/misc/ClickableItem.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="506">
          <caret line="30" column="5" selection-start-line="30" selection-start-column="5" selection-end-line="30" selection-end-column="5" />
          <folding>
            <element signature="imports" expanded="true" />
            <element signature="e#450#451#0" expanded="true" />
            <element signature="e#477#478#0" expanded="true" />
            <element signature="e#533#534#0" expanded="true" />
            <element signature="e#562#563#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/API/src/main/java/fr/edessamc/api/utils/builder/InventoryBuilder.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="414">
          <caret line="29" column="5" selection-start-line="29" selection-start-column="5" selection-end-line="29" selection-end-column="5" />
          <folding>
            <element signature="imports" expanded="true" />
            <element signature="e#584#585#0" expanded="true" />
            <element signature="e#638#639#0" expanded="true" />
            <element signature="e#1227#1228#0" expanded="true" />
            <element signature="e#1259#1260#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Hub/src/main/java/fr/edessamc/hub/Hub.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="92">
          <caret line="6" column="13" selection-start-line="6" selection-start-column="13" selection-end-line="6" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/API/src/main/java/fr/edessamc/api/player/misc/menu/MenuContent.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="46">
          <caret line="2" column="17" selection-start-line="2" selection-start-column="17" selection-end-line="2" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Core/src/main/java/fr/_3dx900/core/player/menu/MainMenu.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="460">
          <caret line="20" column="5" selection-start-line="20" selection-start-column="5" selection-end-line="20" selection-end-column="5" />
          <folding>
            <element signature="imports" expanded="true" />
            <element signature="e#234#235#0" expanded="true" />
            <element signature="e#298#299#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/API/src/main/java/fr/edessamc/api/player/misc/menu/Menu.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="713">
          <caret line="47" column="5" selection-start-line="47" selection-start-column="5" selection-end-line="47" selection-end-column="5" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/API/src/main/java/fr/edessamc/api/utils/EItem.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="322">
          <caret line="16" selection-start-line="16" selection-end-line="16" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Hub/pom.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="770">
          <caret line="67" column="21" selection-start-line="67" selection-start-column="21" selection-end-line="67" selection-end-column="21" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/API/src/main/java/fr/edessamc/api/manager/MenuManager.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="759">
          <caret line="43" column="1" lean-forward="true" selection-start-line="43" selection-start-column="1" selection-end-line="43" selection-end-column="1" />
          <folding>
            <element signature="imports" expanded="true" />
            <element signature="e#511#512#0" expanded="true" />
            <element signature="e#577#578#0" expanded="true" />
            <element signature="e#954#955#0" expanded="true" />
            <element signature="e#1003#1004#0" expanded="true" />
            <element signature="e#1051#1052#0" expanded="true" />
            <element signature="e#1103#1104#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Bot/pom.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="414">
          <caret line="18" column="21" selection-start-line="18" selection-start-column="21" selection-end-line="18" selection-end-column="21" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/fr/_3dx900/UltraJDA/1.0/UltraJDA-1.0.jar!/fr/_3dx900/ultrajda/UltraJDA.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="115">
          <caret line="6" column="22" selection-start-line="6" selection-start-column="22" selection-end-line="6" selection-end-column="22" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Bot/src/main/java/fr/edessamc/bot/core/events/GuildListener.java" />
    <entry file="jar://$MAVEN_REPOSITORY$/net/dv8tion/JDA/3.8.1_439/JDA-3.8.1_439-sources.jar!/net/dv8tion/jda/core/entities/MessageEmbed.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="115">
          <caret line="37" column="13" selection-start-line="37" selection-start-column="13" selection-end-line="37" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/net/dv8tion/JDA/3.8.1_439/JDA-3.8.1_439-sources.jar!/net/dv8tion/jda/core/EmbedBuilder.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="437">
          <caret line="110" column="19" lean-forward="true" selection-start-line="110" selection-start-column="19" selection-end-line="110" selection-end-column="19" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Bot/src/main/java/fr/edessamc/bot/utils/Channels.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="46">
          <caret line="2" column="23" lean-forward="true" selection-start-line="2" selection-start-column="23" selection-end-line="2" selection-end-column="23" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Bot/src/main/java/fr/edessamc/bot/core/events/guild/GuildJoinListener.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="276">
          <caret line="12" column="19" lean-forward="true" selection-start-line="12" selection-start-column="19" selection-end-line="12" selection-end-column="19" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Bot/src/main/java/fr/edessamc/bot/core/events/guild/member/GuildMemberJoinListener.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="230">
          <caret line="10" column="64" lean-forward="true" selection-start-line="10" selection-start-column="64" selection-end-line="10" selection-end-column="64" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Bot/src/main/java/fr/edessamc/bot/core/events/guild/member/GuildMemberLeaveListener.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="253">
          <caret line="11" column="43" lean-forward="true" selection-start-line="11" selection-start-column="43" selection-end-line="11" selection-end-column="43" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Bot/src/main/java/fr/edessamc/bot/core/events/guild/message/GuildMessageReactionAddListener.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="207">
          <caret line="9" column="43" selection-start-line="9" selection-start-column="43" selection-end-line="9" selection-end-column="43" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Bot/src/main/java/fr/edessamc/bot/core/events/guild/message/GuildMessageReactionRemoveListener.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="184">
          <caret line="8" column="86" lean-forward="true" selection-start-line="8" selection-start-column="86" selection-end-line="8" selection-end-column="86" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Bot/src/main/java/fr/edessamc/bot/Bot.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="115">
          <caret line="12" selection-start-line="12" selection-end-line="12" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Bot/src/main/java/fr/edessamc/bot/manager/EventManager.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="138">
          <caret line="20" column="44" selection-start-line="20" selection-start-column="44" selection-end-line="20" selection-end-column="44" />
          <folding>
            <element signature="imports" expanded="true" />
            <element signature="e#1035#1036#0" expanded="true" />
            <element signature="e#1086#1087#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Bot/src/main/java/fr/edessamc/bot/utils/Rapid.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="552">
          <caret line="30" column="33" selection-start-line="30" selection-start-column="33" selection-end-line="30" selection-end-column="33" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Bot/src/main/java/fr/edessamc/bot/manager/BotManager.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="506">
          <caret line="31" column="53" selection-start-line="31" selection-start-column="53" selection-end-line="31" selection-end-column="53" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Bot/src/main/java/fr/edessamc/bot/commands/PollCommand.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="664">
          <caret line="59" lean-forward="true" selection-start-line="59" selection-end-line="59" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Bot/src/main/java/fr/edessamc/bot/core/events/ReadyListener.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="253">
          <caret line="11" column="101" selection-start-line="11" selection-start-column="101" selection-end-line="11" selection-end-column="101" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Proxy/pom.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="352">
          <caret line="18" column="74" lean-forward="true" selection-start-line="18" selection-start-column="74" selection-end-line="18" selection-end-column="74" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/API/src/main/java/fr/edessamc/api/API.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="506">
          <caret line="36" column="5" lean-forward="true" selection-start-line="36" selection-start-column="5" selection-end-line="36" selection-end-column="5" />
          <folding>
            <element signature="imports" expanded="true" />
            <element signature="e#1925#1926#0" expanded="true" />
            <element signature="e#1959#1960#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/API/src/main/java/fr/edessamc/api/game/player/GamePlayer.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="414">
          <caret line="24" column="5" lean-forward="true" selection-start-line="24" selection-start-column="5" selection-end-line="24" selection-end-column="5" />
          <folding>
            <element signature="imports" expanded="true" />
            <element signature="e#500#501#0" expanded="true" />
            <element signature="e#527#528#0" expanded="true" />
            <element signature="e#607#608#0" expanded="true" />
            <element signature="e#701#702#0" expanded="true" />
            <element signature="e#801#802#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/API/src/main/java/fr/edessamc/api/game/GamePlugin.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="529">
          <caret line="25" column="5" selection-start-line="25" selection-start-column="5" selection-end-line="25" selection-end-column="5" />
          <folding>
            <element signature="imports" expanded="true" />
            <element signature="e#498#499#0" expanded="true" />
            <element signature="e#528#529#0" expanded="true" />
            <element signature="e#580#581#0" expanded="true" />
            <element signature="e#599#600#0" expanded="true" />
            <element signature="e#675#676#0" expanded="true" />
            <element signature="e#713#714#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/API/src/main/java/fr/edessamc/api/game/Game.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="92">
          <caret line="4" column="15" lean-forward="true" selection-start-line="4" selection-start-column="15" selection-end-line="4" selection-end-column="15" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Hub/src/main/java/fr/edessamc/hub/event/player/PlayerJoinListener.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="575">
          <caret line="25" column="5" selection-start-line="25" selection-start-column="5" selection-end-line="25" selection-end-column="5" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/API/src/main/java/fr/edessamc/api/data/Data.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="92">
          <caret line="9" column="12" selection-start-line="9" selection-start-column="12" selection-end-line="9" selection-end-column="12" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/API/src/main/java/fr/edessamc/api/player/PlayerImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="276">
          <caret line="15" column="5" selection-start-line="15" selection-start-column="5" selection-end-line="15" selection-end-column="5" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/API/src/main/java/fr/edessamc/api/player/EPlayer.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="356">
          <caret line="27" column="24" selection-start-line="27" selection-start-column="24" selection-end-line="27" selection-end-column="24" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/pom.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-633" />
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Hub/src/main/java/fr/edessamc/hub/player/HubPlayer.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="138">
          <caret line="10" column="5" selection-start-line="10" selection-start-column="5" selection-end-line="10" selection-end-column="5" />
        </state>
      </provider>
    </entry>
  </component>
  <component name="masterDetails">
    <states>
      <state key="ArtifactsStructureConfigurable.UI">
        <settings>
          <artifact-editor />
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="FacetStructureConfigurable.UI">
        <settings>
          <last-edited>Minecraft</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="GlobalLibrariesConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="JdkListConfigurable.UI">
        <settings>
          <last-edited>1.8.0_191</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ModuleStructureConfigurable.UI">
        <settings>
          <last-edited>Bot</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.31724137" />
                <option value="0.6" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ProjectLibrariesConfigurable.UI">
        <settings>
          <last-edited>Maven: com.google.code.gson:gson:2.8.0</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
    </states>
  </component>
  <component name="mavenExecuteGoalHistory">
    <option value="$PROJECT_DIR$/API" />
    <option value="clean install" />
  </component>
</project>